import request from '@/utils/httpRequest'

export default class CcpmService {
  getByIdGenerate (id, processDefKey) {
    return request({
      url: '/ccpm_control/getByIdGenerate',
      method: 'get',
      params: {id: id, processDefKey: processDefKey}
    })
  }
  reimAudit (id, flag, comment, processDefKey) {
    return request({
      url: '/ccpm_reimbursement/reimAudit',
      method: 'get',
      params: {id: id, flag: flag, comment: comment, processDefKey: processDefKey}
    })
  }
}
