import request from '@/utils/httpRequest'

export default class ReimbursementService {
  getReimbursementById (id, processDefKey) {
    return request({
      url: '/ccpm_reimbursement/getReimbursementById',
      method: 'get',
      params: {id: id, processDefKey: processDefKey}
    })
  }
  reimAudit (id, flag, comment, processDefKey) {
    return request({
      url: '/ccpm_reimbursement/reimAudit',
      method: 'get',
      params: {id: id, flag: flag, comment: comment, processDefKey: processDefKey}
    })
  }
  reimReapply (id) {
    return request({
      url: '/ccpm_reimbursement/reimReapply',
      method: 'get',
      params: {id: id}
    })
  }
  deleteReim (id) {
    return request({
      url: '/ccpm_reimbursement/deleteReim',
      method: 'get',
      params: {id: id}
    })
  }
}
